%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major          1
%define oname          mateweather
%define libname        %mklibname mateweather %{major}
%define develname      %mklibname -d mateweather

Summary:        MATE Weather applet library
Name:           libmateweather
Version:        1.28.0
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
Group:          System/Libraries
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         libmateweather-1.18.0-mga-add_Kastamonu_Turkey.patch

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  intltool
# for xmllint
BuildRequires:  libxml2-utils

%description
Weather library data files for the MATE panel applet.

%package -n %{libname}
Group:          System/Libraries
Summary:        MATE Weather applet library
Requires:       %{name} >= %{version}

%description -n %{libname}
Weather library for the MATE panel applet.

%package -n %{develname}
Group:          Development/Libraries
Summary:        MATE Weather applet library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files with mateweather libraries.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
        --disable-static           \
        --disable-schemas-compile  \
        --enable-locations-compression \
        --enable-gtk-doc-html

# fix unused-direct-shlib-dependency
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

for xmlfile in %{buildroot}%{_datadir}/%{name}/Locations.*.xml.gz; do
echo "%lang($(basename $xmlfile|sed -e s/Locations.// -e s/.xml.gz//)) $(echo $xmlfile | sed s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/Locations.xml*
%{_datadir}/%{name}/locations.dtd
%{_datadir}/glib-2.0/schemas/org.mate.weather.gschema.xml
%{_iconsdir}

%files -n %{libname}
%{_libdir}/libmateweather.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libmateweather.so
%{_libdir}/pkgconfig/mateweather.pc
%{_includedir}/libmateweather

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig


%changelog
* Fri Feb 16 2024 tex - 1.28.0-1pclos2024
- new version

* Tue Dec 26 2023 tex - 1.26.3-1pclos2024
- new version

* Tue Nov 21 2023 tex - 1.26.2-1pclos2023
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Tue Feb 11 2020 tex - 1.24.0-1pclos2020
- Update to version 1.24.0
